Name: camltemplate
Version: 0.9.1
Release: alt1
License: GPL
Group: Development/ML
Summary: CamlTemplate is a template processor for Objective Caml
Url: http://camomile.sf.net
Source: %name-%version.tar.gz

# Automatically added by buildreq on Thu May 06 2004
BuildRequires: camlp4 findlib libncurses-devel libpcre-devel ocaml-runtime pcre-ocaml

%description
CamlTemplate is a template processor for Objective Caml. It can be used to
generate web pages, scripts, SQL queries, XML documents and other sorts of
text. CamlTemplate has following features:
* A versatile, easy-to-learn template syntax that supports common
  scripting-language constructs, while encouraging a separation between
  presentation logic and application logic.
* The supported Caml data structures accomodate lists, tables and trees of
  items in a straightforward manner.
* Works well with mod_caml.                                                          
* Supports any ASCII-compatible encoding, including UTF-8.                           
* Optional support for multithreading. 

%prep
%setup

%build
./configure
%__make all opt
cd examples
%__make clean
cd ..

%install 
%__mkdir -p %buildroot%_libdir/ocaml/site-lib/%name
cd src
%__install -pD -m 0644 META camlTemplate.cmi camlTemplate.mli camltemplate.cma %buildroot%_libdir/ocaml/site-lib/%name
%__install -pD -m 0644 camlTemplateInit.cmo camltemplate.cmxa camltemplate.a %buildroot%_libdir/ocaml/site-lib/%name
cd ..

%files
%doc README NEWS TODO AUTHORS doc/html/* doc/pdf/*
%doc examples
%_libdir/ocaml/site-lib/*

%changelog
* Wed May 12 2004 Ott Alex <ott@altlinux.ru> 0.9.1-alt1
- New version

* Thu May 06 2004 Ott Alex <ott@altlinux.ru> 0.8.0-alt1
- Initial build for ALTLinux


